// pruefen.h
#include<iostream>
extern char feld[6][15];

bool pruefen() {
	// horizontal
	for(int i=0;i<6;++i) {
		if(feld[i][7]=='A') { // Index 7 entspricht Spalte 4 (Umrechnung); Spalte 4 kommt in allen horizontalen 4er-Kombinationen vor
			if((feld[i][1]=='A' && feld[i][3]=='A' && feld[i][5]=='A') ||
				(feld[i][3]=='A' && feld[i][5]=='A' && feld[i][9]=='A') ||
				(feld[i][5]=='A' && feld[i][9]=='A' && feld[i][11]=='A') ||
				(feld[i][9]=='A' && feld[i][11]=='A' && feld[i][13]=='A')) {
					std::cout<<"Spieler A hat gewonnen!"<<std::endl;
					return true;
			}
		}
	}
	for(int i=0;i<6;++i) {
		if(feld[i][7]=='B') {
			if((feld[i][1]=='B' && feld[i][3]=='B' && feld[i][5]=='B') ||
				(feld[i][3]=='B' && feld[i][5]=='B' && feld[i][9]=='B') ||
				(feld[i][5]=='B' && feld[i][9]=='B' && feld[i][11]=='B') ||
				(feld[i][9]=='B' && feld[i][11]=='B' && feld[i][13]=='B')) {
					std::cout<<"Spieler B hat gewonnen!"<<std::endl;
					return true;
			}
		}
	}
	
	// vertikal
	for(int i=1;i<14;i+=2) {
		if(feld[2][i] == 'A' && feld[3][i] == 'A') { // Index 2 -> Spalte 3, Index 3 -> Spalte 5; kommen in allen vertikalen Kombinationen vor
			if((feld[0][i] == 'A' && feld[1][i] == 'A' && feld[3][i] == 'A') ||
				(feld[1][i] == 'A' && feld[3][i] == 'A' && feld[4][i] == 'A') ||
				(feld[3][i] == 'A' && feld[4][i] == 'A' && feld[5][i] == 'A')) {
					std::cout<<"Spieler A hat gewonnen!"<<std::endl;
					return true;
			}
		}
	}
	for(int i=1;i<14;i+=2) {
		if(feld[2][i] == 'B' && feld[3][i] == 'B') {
			if((feld[0][i] == 'B' && feld[1][i] == 'B') ||
				(feld[1][i] == 'B' && feld[4][i] == 'B') ||
				(feld[4][i] == 'B' && feld[5][i] == 'B')) {
					std::cout<<"Spieler B hat gewonnen!"<<std::endl;
					return true;
			}
		}
	}
	
	// diagonal: von links unten nach rechts oben
	// 1. lange Diagonale
	// FUNKTIONIERT NICHT!
	if(feld[2][5] == 'A' && feld[3][7] == 'A') {
		if((feld[0][1] == 'A' && feld[1][3] == 'A') ||
			(feld[1][3] == 'A' && feld[4][9] == 'A') ||
			(feld[4][9] == 'A' && feld[5][11] == 'A')) {
				std::cout<<"Spieler A hat gewonnen!"<<std::endl;
				return true;
		}
	}
	if(feld[2][5] == 'B' && feld[3][7] == 'B') {
		if((feld[0][1] == 'B' && feld[1][3] == 'B') ||
			(feld[1][3] == 'B' && feld[4][9] == 'B') ||
			(feld[4][9] == 'B' && feld[5][11] == 'B')) {
				std::cout<<"Spieler B hat gewonnen!"<<std::endl;
				return true;
		}
	}
	// 2. lange Diagonale
	if(feld[2][7] == 'A' && feld[3][9] == 'A') {
		if((feld[0][3] == 'A' && feld[1][5] == 'A') ||
			(feld[1][5] == 'A' && feld[4][11] == 'A') ||
			(feld[4][11] == 'A' && feld[5][13] == 'A')) {
				std::cout<<"Spieler A hat gewonnen!"<<std::endl;
				return true;
		}
	}
	if(feld[2][7] == 'B' && feld[3][9] == 'B') {
		if((feld[0][3] == 'B' && feld[1][5] == 'B') ||
			(feld[1][5] == 'B' && feld[4][11] == 'B') ||
			(feld[4][11] == 'B' && feld[5][13] == 'B')) {
				std::cout<<"Spieler B hat gewonnen!"<<std::endl;
				return true;
		}
	}
	// diagonale Prfung: ENDE
	return false;
}
